QGIS Application - Bug report #14413

Save project data with relative paths at first save not working (QGIS 2.14)

2016-03-03 12:04 PM - Claas Leiner

Status: Closed
Priority: Low
Assignee:

Category: GUI

Affected QGIS version:2.14.15
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 22394

Description

QGIS 2.14 (Ubuntu Linux 4.14)

First save project data with relative paths not working.
"Project > Project Properties > Save Path: relative" is set.

However, in the projectfile are the paths absolutely like /home/claas/documents/heli/vektor/nutzung.shp when | save the projekt.qgs in

/home/claas/documents/heli.

After the second save of the same project filethe path in the projectfile is relativ like ./vektor/nutzung.shp

So not so bad but strangely.
Claas

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-05-24 11:04 AM - Regis Haubourg

- Description updated

- Category set to GUI

- Affected QGIS version changed from 2.14.0 to 2.14.15

| confirmin 2.14.15.

| tested in 2.18.8 and | couldn't confirm the issue.

#3 - 2017-05-24 01:44 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed
Regis Haubourg wrote:
I confirm in 2.14.15.

| tested in 2.18.8 and | couldn't confirm the issue.

fixed here

https://issues.qgis.org/projects/qgis/repository/revisions/913527b4c95dce5f0bc3c6def52c29f6341cec39
https://issues.qgis.org/projects/qgis/repository/revisions/913527b4c95dce5f0bc3c6def52c29f6341cec39

| don't see this being backported to 2.14...
